Description

it would be really useful to allow users define labels using the values of a column in the table of attributes.

It would be also useful to allow data driven symbol color RGB values.

History

#1 - 2010-07-21 04:16 AM - Marco Hugentobler

I'm currently working on data dependent labelling-ng (data dependent RGB values is something different. Probably it should be a ticket on its own)

#2 - 2010-07-23 11:59 PM - Marco Hugentobler

The attached patch adds support for data defined font and buffer settings to the new labeling.

Martin, could you review it?

Thanks,

Marco

#3 - 2010-07-29 04:24 AM - Martin Dobias

Marco, I've checked the patch and it looks fine.

I would also remove the legacy prepareLayer() call as I don't think we need to care about backwards compatibility here (labeling-ng is the only user of that

interface). Additionally, I would use QList<in> instead of QSet<int> for the list of attribute indexes - a list is used also when passing the indexes to

layer/provider.

#4 - 2010-08-02 08:12 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:33194f8a (SVN r13999). Thanks for reviewing, Martin.

I removed the legacy method but kept the QSet (it is a bit easier for the label engine to filter duplicated fields).

Files

100724_qgis_label.diff 79.7 KB 2010-07-23 Marco Hugentobler
